<?php
/**
 * Created by PhpStorm.
 * User: Zaddach
 * Date: 16.12.2015
 * Time: 18:29
 */

namespace BDE\BdegmbhWebservices\Internal;


class CharacterIterator
{
    private $string;
    private $pos;

    /**
     * CharacterIterator constructor.
     * @param $string
     */
    public function __construct($string) {
        $this->string = $string;
        $this->pos = -1;
    }

    /**
     * @return bool
     */
    public function hasNext() {
        return ($this->pos < (strlen($this->string) - 1));
    }

    /**
     * @return null
     */
    public function next() {
        if ($this->hasNext())
            return $this->string[++$this->pos];
        else
            return null;
    }
}
